searchData={"items":[{"type":"module","title":"Aura","doc":"Documentation for `Aura`.","ref":"Aura.html"},{"type":"function","title":"Aura.hello/0","doc":"Hello world.","ref":"Aura.html#hello/0"},{"type":"function","title":"Examples - Aura.hello/0","doc":"iex> Aura.hello()\n    :world","ref":"Aura.html#hello/0-examples"},{"type":"module","title":"Aura.Packages","doc":"Service module for interacting with Hex Packages\n\n<!-- tabs-open -->","ref":"Aura.Packages.html"},{"type":"module","title":"📖 Resources - Aura.Packages","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n\n<!-- tabs-close -->","ref":"Aura.Packages.html#module-resources"},{"type":"function","title":"Aura.Packages.add_package_owner/3","doc":"Adds a new owner to the list of package owners\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#add_package_owner/3"},{"type":"function","title":"🏷️ Params - Aura.Packages.add_package_owner/3","doc":"* **package_name** :: `t:Aura.Common.package_name/0`\n  * **owner_email** :: `t:Aura.Common.email/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#add_package_owner/3-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.add_package_owner/3","doc":"**✅ On Success**\n\n  ```elixir\n  :ok\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  {:error, (some failure)}\n  ```\n  \n<!-- tabs-close -->","ref":"Aura.Packages.html#add_package_owner/3-returns"},{"type":"function","title":"Aura.Packages.get_package/2","doc":"Grabs a package given its name\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#get_package/2"},{"type":"function","title":"🏷️ Params - Aura.Packages.get_package/2","doc":"* **package_name** :: `t:Aura.Common.package_name/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#get_package/2-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.get_package/2","doc":"**✅ On Success**\n\n  ```elixir\n  {:ok, %HexPackage{}}\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  {:error, (some failure)}\n  ```","ref":"Aura.Packages.html#get_package/2-returns"},{"type":"function","title":"💻 Examples - Aura.Packages.get_package/2","doc":"iex> alias Aura.Packages\n    iex> {:ok, pkg} = Packages.get_package(\"decimal\", repo_url: \"http://localhost:4000/api\")\n    iex> pkg.name\n    \"decimal\"\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#get_package/2-examples"},{"type":"function","title":"Aura.Packages.get_package_owner/3","doc":"Grabs a single package owner by their username\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#get_package_owner/3"},{"type":"function","title":"🏷️ Params - Aura.Packages.get_package_owner/3","doc":"* **package_name** :: `t:Aura.Common.package_name/0`\n  * **username** :: `t:Aura.Common.username/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#get_package_owner/3-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.get_package_owner/3","doc":"**✅ On Success**\n\n  ```elixir\n  {:ok, %HexPackageOwner{}}\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  {:error, (some failure)}\n  ```","ref":"Aura.Packages.html#get_package_owner/3-returns"},{"type":"function","title":"💻 Examples - Aura.Packages.get_package_owner/3","doc":"iex> alias Aura.Packages\n    iex> {:ok, owner} = Packages.get_package_owner(\"decimal\", \"eric\", repo_url: \"http://localhost:4000/api\")\n    iex> owner.email\n    \"eric@example.com\"\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#get_package_owner/3-examples"},{"type":"function","title":"Aura.Packages.list_package_owners/2","doc":"Grabs all owners of a given package\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#list_package_owners/2"},{"type":"function","title":"🏷️ Params - Aura.Packages.list_package_owners/2","doc":"* **name** :: `t:Aura.Common.package_name/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#list_package_owners/2-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.list_package_owners/2","doc":"**✅ On Success**\n\n  ```elixir\n  {:ok, [%HexPackageOwner{}...]}\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  {:error, (some failure)}\n  ```","ref":"Aura.Packages.html#list_package_owners/2-returns"},{"type":"function","title":"💻 Examples - Aura.Packages.list_package_owners/2","doc":"iex> alias Aura.Packages\n    iex> {:ok, [owner | _]} =\n    ...>   Packages.list_package_owners(\"decimal\", repo_url: \"http://localhost:4000/api\")\n    iex> owner.email\n    \"eric@example.com\"\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#list_package_owners/2-examples"},{"type":"function","title":"Aura.Packages.remove_package_owner/3","doc":"Removes an existing owner from the list of package owners\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#remove_package_owner/3"},{"type":"function","title":"🏷️ Params - Aura.Packages.remove_package_owner/3","doc":"* **package_name** :: `t:Aura.Common.package_name/0`\n  * **owner_email** :: `t:Aura.Common.email/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#remove_package_owner/3-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.remove_package_owner/3","doc":"**✅ On Success**\n\n  ```elixir\n  :ok\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  {:error, (some failure)}\n  ```\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#remove_package_owner/3-returns"},{"type":"function","title":"Aura.Packages.stream_audit_logs/2","doc":"Streams `Aura.Model.HexAuditLog`, scoped to a package\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#stream_audit_logs/2"},{"type":"function","title":"🏷️ Params - Aura.Packages.stream_audit_logs/2","doc":"* **package_name** :: `t:Aura.Common.package_name/0`\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#stream_audit_logs/2-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.stream_audit_logs/2","doc":"**✅ On Success**\n\n  ```elixir\n  Stream.resource/3\n  ```","ref":"Aura.Packages.html#stream_audit_logs/2-returns"},{"type":"function","title":"💻 Examples - Aura.Packages.stream_audit_logs/2","doc":"iex> alias Aura.Packages\n    iex> audit_logs = Packages.stream_audit_logs(\"decimal\", repo_url: \"http://localhost:4000/api\")\n    iex> _actions = Enum.map(audit_logs, fn audit_log -> audit_log.action end)\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#stream_audit_logs/2-examples"},{"type":"function","title":"Aura.Packages.stream_packages/1","doc":"Grabs a stream of packages, given optional criteria\n\n<!-- tabs-open -->","ref":"Aura.Packages.html#stream_packages/1"},{"type":"function","title":"🏷️ Params - Aura.Packages.stream_packages/1","doc":"* **opts** :: option parameters used to modify requests","ref":"Aura.Packages.html#stream_packages/1-params"},{"type":"function","title":"⤵️ Returns - Aura.Packages.stream_packages/1","doc":"**✅ On Success**\n\n  ```elixir\n  Stream.resource/3\n  ```","ref":"Aura.Packages.html#stream_packages/1-returns"},{"type":"function","title":"💻 Examples - Aura.Packages.stream_packages/1","doc":"# request packages,\n      # from the local test instance\n      # scoped to the repo \"hexpm\"\n      # starting with page 2\n      # sorted by total downloads\n    iex> alias Aura.Packages\n    iex> packages = Packages.stream_packages(\n    ...>  repo_url: \"http://localhost:4000/api\",\n    ...>  repo: \"hexpm\",\n    ...>  page: 2,\n    ...>  sort: :total_downloads)\n    iex> Enum.empty?(packages)\n    false\n\n<!-- tabs-close -->","ref":"Aura.Packages.html#stream_packages/1-examples"},{"type":"module","title":"Aura.Releases","doc":"Service module for interacting with Hex package releases","ref":"Aura.Releases.html"},{"type":"function","title":"Aura.Releases.delete_release/3","doc":"Permanently deletes a release","ref":"Aura.Releases.html#delete_release/3"},{"type":"function","title":"Aura.Releases.delete_release_docs/3","doc":"Permanently deletes associated documentation for a release","ref":"Aura.Releases.html#delete_release_docs/3"},{"type":"function","title":"Aura.Releases.get_release/3","doc":"Returns a `Aura.Model.HexRelease` for a given package / version","ref":"Aura.Releases.html#get_release/3"},{"type":"function","title":"Aura.Releases.get_release_docs/3","doc":"Returns the contents of the release's docs **tar.gz**","ref":"Aura.Releases.html#get_release_docs/3"},{"type":"function","title":"Aura.Releases.publish_release/2","doc":"Publishes a release **.tar** packaged by a build tool to a Hex-compliant repository","ref":"Aura.Releases.html#publish_release/2"},{"type":"function","title":"Aura.Releases.publish_release_docs/4","doc":"Publishes associated release docs **tar.gz** to a Hex-compliant repository","ref":"Aura.Releases.html#publish_release_docs/4"},{"type":"type","title":"Aura.Releases.retire_reason/0","doc":"The reason for retiring a release","ref":"Aura.Releases.html#t:retire_reason/0"},{"type":"function","title":"Aura.Releases.retire_release/5","doc":"Marks a release as **retired**, signaling to others that it should not be used","ref":"Aura.Releases.html#retire_release/5"},{"type":"function","title":"Aura.Releases.undo_retire_release/3","doc":"Removes the **retired** status from a release, signaling to others that it can still be used","ref":"Aura.Releases.html#undo_retire_release/3"},{"type":"module","title":"Aura.Repos","doc":"Service module for interacting with `Aura.Model.HexRepo`","ref":"Aura.Repos.html"},{"type":"function","title":"Aura.Repos.create_api_key/5","doc":"Creates a new `Aura.Model.HexAPIKey`","ref":"Aura.Repos.html#create_api_key/5"},{"type":"function","title":"Aura.Repos.delete_all_api_keys/1","doc":"Deletes **all** API keys for the authenticated requester","ref":"Aura.Repos.html#delete_all_api_keys/1"},{"type":"function","title":"Aura.Repos.delete_api_key/2","doc":"Deletes an API key for the authenticated requester, given a **key_name**","ref":"Aura.Repos.html#delete_api_key/2"},{"type":"function","title":"Aura.Repos.get_api_key/2","doc":"Returns a `Aura.Model.HexAPIKey` associated with a given **key_name**","ref":"Aura.Repos.html#get_api_key/2"},{"type":"function","title":"Aura.Repos.get_repo/2","doc":"Returns a `Aura.Model.HexRepo` associated with a given **repo_name**","ref":"Aura.Repos.html#get_repo/2"},{"type":"function","title":"Aura.Repos.list_api_keys/1","doc":"Returns a list of `Aura.Model.HexAPIKey`, given the requester's authentication","ref":"Aura.Repos.html#list_api_keys/1"},{"type":"function","title":"Aura.Repos.list_repos/1","doc":"Returns all visible `Aura.Model.HexRepo`s available","ref":"Aura.Repos.html#list_repos/1"},{"type":"module","title":"Aura.Users","doc":"Service module for interacting with a `Aura.Model.HexUser`","ref":"Aura.Users.html"},{"type":"function","title":"Aura.Users.create_user/4","doc":"Requests a Hex user be created","ref":"Aura.Users.html#create_user/4"},{"type":"function","title":"Aura.Users.get_current_user/1","doc":"Returns a `Aura.Model.HexUser` representing the authenticated requester","ref":"Aura.Users.html#get_current_user/1"},{"type":"function","title":"Aura.Users.get_user/2","doc":"Returns a `Aura.Model.HexUser`, given their **username_or_email**","ref":"Aura.Users.html#get_user/2"},{"type":"function","title":"Aura.Users.reset_user_password/2","doc":"Resets a specified user's password","ref":"Aura.Users.html#reset_user_password/2"},{"type":"function","title":"Aura.Users.stream_audit_logs/1","doc":"Returns a stream of `Aura.Model.HexAuditLog`, scoped to the authenticated requester","ref":"Aura.Users.html#stream_audit_logs/1"},{"type":"module","title":"Aura.Model.HexAPIKey","doc":"A struct describing an API key record coming from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexAPIKey","doc":"```elixir\n%Aura.Model.HexAPIKey{\n  authing_key: false,\n  secret: \"3321e19a16017725ced9fe56a0071aa6\",\n  inserted_at: ~U[2025-06-02 04:26:33.915977Z],\n  name: \"veniam.ut\",\n  permissions: [\n    %{domain: \"api\", resource: \"read\"},\n    %{domain: \"api\", resource: \"write\"}\n  ],\n  revoked_at: nil,\n  updated_at: ~U[2025-06-02 04:26:33.915977Z],\n  url: \"http://localhost:4000/api/keys/veniam.ut\"\n}\n```","ref":"Aura.Model.HexAPIKey.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexAPIKey","doc":"* `Aura.Repos`","ref":"Aura.Model.HexAPIKey.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexAPIKey","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#module-resources"},{"type":"type","title":"Aura.Model.HexAPIKey.api_permission/0","doc":"A permission realm that this API key has.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAPIKey.api_permission/0","doc":"* **domain** :: A domain for which this API key is valid\n  * **resource** :: What kind of operations this API key can do within its domain","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexAPIKey.api_permission/0","doc":"```elixir\n%{domain: \"api\", resource: \"read\"}\n%{domain: \"api\", resource: \"write\"}\n```","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAPIKey.api_permission/0","doc":"* `Aura.Repos`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0-see-also"},{"type":"type","title":"Aura.Model.HexAPIKey.authing_key/0","doc":"❓ Sorry, documentation from the hex specification is lacking here. ❓\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:authing_key/0"},{"type":"type","title":"📖 Resources - Aura.Model.HexAPIKey.authing_key/0","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}","ref":"Aura.Model.HexAPIKey.html#t:authing_key/0-resources"},{"type":"type","title":"👀 See Also - Aura.Model.HexAPIKey.authing_key/0","doc":"* `Aura.Repos`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:authing_key/0-see-also"},{"type":"function","title":"Aura.Model.HexAPIKey.build/1","doc":"Builds a `HexAPIKey` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexAPIKey.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexAPIKey.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#build/1-params"},{"type":"type","title":"Aura.Model.HexAPIKey.revoked_date_time/0","doc":"`DateTime` when this key became invalid\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:revoked_date_time/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexAPIKey.revoked_date_time/0","doc":"```elixir\n~U[2025-05-29 18:15:18.244790Z]\n```","ref":"Aura.Model.HexAPIKey.html#t:revoked_date_time/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAPIKey.revoked_date_time/0","doc":"* `Aura.Repos`\n\n  \n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:revoked_date_time/0-see-also"},{"type":"type","title":"Aura.Model.HexAPIKey.secret/0","doc":"The API key payload - it is only provided once, upon creation; always `nil` after.\n\n> #### 🔒 Security {: .warning}\n>\n> Guard this secret payload with your life - **never** keep it as plain text in your code.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:secret/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexAPIKey.secret/0","doc":"```elixir\n\"3321e19a16017725ced9fe56a0071aa6\"\n```","ref":"Aura.Model.HexAPIKey.html#t:secret/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAPIKey.secret/0","doc":"* `Aura.Repos`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:secret/0-see-also"},{"type":"type","title":"Aura.Model.HexAPIKey.t/0","doc":"Type describing an API key coming from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAPIKey.t/0","doc":"* **authing_key** :: `t:authing_key/0`\n  * **secret** :: `t:secret/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **name** :: `t:Aura.Common.api_key_name/0`\n  * **permissions** :: [`t:api_permission/0`]\n  * **revoked_date_time** :: `t:revoked_date_time/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`","ref":"Aura.Model.HexAPIKey.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexAPIKey.t/0","doc":"```elixir\n%Aura.Model.HexAPIKey{\n  authing_key: false,\n  secret: \"3321e19a16017725ced9fe56a0071aa6\",\n  inserted_at: ~U[2025-06-02 04:26:33.915977Z],\n  name: \"veniam.ut\",\n  permissions: [\n    %{domain: \"api\", resource: \"read\"},\n    %{domain: \"api\", resource: \"write\"}\n  ],\n  revoked_at: nil,\n  updated_at: ~U[2025-06-02 04:26:33.915977Z],\n  url: \"http://localhost:4000/api/keys/veniam.ut\"\n}\n```","ref":"Aura.Model.HexAPIKey.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAPIKey.t/0","doc":"* `Aura.Repos`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:t/0-see-also"},{"type":"module","title":"Aura.Model.HexAuditLog","doc":"A struct describing a single auditable action from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexAuditLog","doc":"```elixir\n%Aura.Model.HexAuditLog{\n    action: \"user.create\",\n    params: %{id: 424, handles: nil, username: \"jaqueline1935\"},\n    user_agent: \"aura/0.9.0 (Elixir/1.18.3) (OTP/27.3.1) (test)\"\n}\n```","ref":"Aura.Model.HexAuditLog.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexAuditLog","doc":"* `Aura.Packages`\n  * `Aura.Users`","ref":"Aura.Model.HexAuditLog.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexAuditLog","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#module-resources"},{"type":"type","title":"Aura.Model.HexAuditLog.audit_action/0","doc":"A short description of the action taken. (e.g `\"user.add\"`, `\"key.generate\"`)\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#t:audit_action/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexAuditLog.audit_action/0","doc":"```elixir\n\"docs.publish\"\n\"release.publish\"\n\"key.generate\"\n\"email.public\"\n\"email.primary\"\n\"email.add\"\n\"user.create\"\n```","ref":"Aura.Model.HexAuditLog.html#t:audit_action/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAuditLog.audit_action/0","doc":"* `Aura.Packages`\n  * `Aura.Users`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#t:audit_action/0-see-also"},{"type":"type","title":"Aura.Model.HexAuditLog.audit_params/0","doc":"A map of all the details of an `t:audit_action/0`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#t:audit_params/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexAuditLog.audit_params/0","doc":"```elixir\n%{\n  package: %{\n    \"id\" => 445,\n    \"meta\" => %{\n      \"description\" => \"Ea laborum odio eveniet in pariatur doloribus vel ullam aut.\",\n      \"extra\" => nil,\n      \"licenses\" => [\"Apache-2.0\"],\n      \"links\" => %{\"GitHub\" => \"http://marquardt.com\"},\n      \"maintainers\" => nil\n    },\n    \"name\" => \"zontrax_576460749439376791\"\n    },\n    release: %{\n    \"has_docs\" => false,\n    \"id\" => 544,\n    \"meta\" => %{\n      \"app\" => \"zontrax_576460749439376791\",\n      \"build_tools\" => [\"mix\"],\n      \"elixir\" => \"~> 1.12\"\n    },\n    \"package_id\" => 445,\n    \"retirement\" => nil,\n    \"version\" => \"0.9.0\"\n    }\n}\n```","ref":"Aura.Model.HexAuditLog.html#t:audit_params/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAuditLog.audit_params/0","doc":"* `Aura.Packages`\n  * `Aura.Users`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#t:audit_params/0-see-also"},{"type":"function","title":"Aura.Model.HexAuditLog.build/1","doc":"Builds a `HexAuditLog` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexAuditLog.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexAuditLog.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#build/1-params"},{"type":"type","title":"Aura.Model.HexAuditLog.t/0","doc":"Type describing an auditable action coming from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAuditLog.t/0","doc":"* **action** :: `t:audit_action/0`\n  * **params** :: `t:audit_params/0`\n  * **user_agent** :: `t:user_agent/0`","ref":"Aura.Model.HexAuditLog.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexAuditLog.t/0","doc":"```elixir\n%Aura.Model.HexAuditLog{\n    action: \"user.create\",\n    params: %{id: 424, handles: nil, username: \"jaqueline1935\"},\n    user_agent: \"aura/0.9.0 (Elixir/1.18.3) (OTP/27.3.1) (test)\"\n}\n```","ref":"Aura.Model.HexAuditLog.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAuditLog.t/0","doc":"* `Aura.Packages`\n  * `Aura.Users`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#t:t/0-see-also"},{"type":"type","title":"Aura.Model.HexAuditLog.user_agent/0","doc":"The `User-Agent` provided in the HTTP headers relevant to the `t:audit_action/0`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#t:user_agent/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexAuditLog.user_agent/0","doc":"```elixir\n\"aura/0.9.0 (Elixir/1.18.3) (OTP/27.3.1) (test)\"\n```","ref":"Aura.Model.HexAuditLog.html#t:user_agent/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexAuditLog.user_agent/0","doc":"* `Aura.Packages`\n  * `Aura.Users`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#t:user_agent/0-see-also"},{"type":"module","title":"Aura.Model.HexPackage","doc":"A struct describing a package from a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackage.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexPackage","doc":"```elixir\n%Aura.Model.HexPackage{\n name: \"aura\",\n repository: \"hexpm\",\n private: nil,\n meta: %Aura.Model.HexPackageMeta{\n   maintainers: [],\n   links: %{\n     \"Changelog\" => \"https://github.com/camatcode/aura/blob/master/CHANGELOG.md\",\n     \"GitHub\" => \"https://github.com/camatcode/aura\",\n     \"Website\" => \"https://github.com/camatcode/aura\"\n   },\n   licenses: [\"Apache-2.0\"],\n   description: \"An ergonomic library for investigating the Hex.pm API\"\n },\n downloads: %Aura.Model.HexPackageDownloadStats{all: 4, week: 4, day: 4},\n releases: [\n   %Aura.Model.HexRelease{\n     has_docs: true,\n     inserted_at: ~U[2025-06-01 15:13:00.595681Z],\n     version: \"0.9.0\",\n     url: \"https://hex.pm/api/packages/aura/releases/0.9.0\",\n     downloads: 0\n   }\n ],\n inserted_at: ~U[2025-06-01 15:13:00.589838Z],\n updated_at: ~U[2025-06-01 15:13:04.347899Z],\n url: \"https://hex.pm/api/packages/aura\",\n html_url: \"https://hex.pm/packages/aura\",\n docs_html_url: \"https://hexdocs.pm/aura/\"\n}\n```","ref":"Aura.Model.HexPackage.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexPackage","doc":"* `Aura.Packages`\n  * `Aura.Releases`","ref":"Aura.Model.HexPackage.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexPackage","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexPackage.html#module-resources"},{"type":"function","title":"Aura.Model.HexPackage.build/1","doc":"Builds a `HexPackage` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackage.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexPackage.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexPackage.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackage.html#build/1-params"},{"type":"type","title":"Aura.Model.HexPackage.private?/0","doc":"Whether this package is publicly available","ref":"Aura.Model.HexPackage.html#t:private?/0"},{"type":"type","title":"Aura.Model.HexPackage.repository/0","doc":"The repository a package belongs to\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackage.html#t:repository/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackage.repository/0","doc":"```elixir\n\"hexpm\"\n```","ref":"Aura.Model.HexPackage.html#t:repository/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackage.repository/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackage.html#t:repository/0-see-also"},{"type":"type","title":"Aura.Model.HexPackage.t/0","doc":"Type describing a package from a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackage.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackage.t/0","doc":"* **name** :: `t:Aura.Common.package_name/0`\n  * **repository** :: `t:repository/0`\n  * **private** :: `t:private?/0`\n  * **meta** :: `t:Aura.Model.HexPackageMeta.t/0`\n  * **downloads** :: `t:Aura.Model.HexPackageDownloadStats.t/0`\n  * **releases** :: `t:map/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n  * **html_url** :: `t:Aura.Model.Common.html_url/0`\n  * **docs_html_url** :: `t:Aura.Model.Common.docs_html_url/0`","ref":"Aura.Model.HexPackage.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackage.t/0","doc":"```elixir\n%Aura.Model.HexPackage{\n name: \"aura\",\n repository: \"hexpm\",\n private: nil,\n meta: %Aura.Model.HexPackageMeta{\n   maintainers: [],\n   links: %{\n     \"Changelog\" => \"https://github.com/camatcode/aura/blob/master/CHANGELOG.md\",\n     \"GitHub\" => \"https://github.com/camatcode/aura\",\n     \"Website\" => \"https://github.com/camatcode/aura\"\n   },\n   licenses: [\"Apache-2.0\"],\n   description: \"An ergonomic library for investigating the Hex.pm API\"\n },\n downloads: %Aura.Model.HexPackageDownloadStats{all: 4, week: 4, day: 4},\n releases: [\n   %Aura.Model.HexRelease{\n     has_docs: true,\n     inserted_at: ~U[2025-06-01 15:13:00.595681Z],\n     version: \"0.9.0\",\n     url: \"https://hex.pm/api/packages/aura/releases/0.9.0\",\n     downloads: 0\n   }\n ],\n inserted_at: ~U[2025-06-01 15:13:00.589838Z],\n updated_at: ~U[2025-06-01 15:13:04.347899Z],\n url: \"https://hex.pm/api/packages/aura\",\n html_url: \"https://hex.pm/packages/aura\",\n docs_html_url: \"https://hexdocs.pm/aura/\"\n}\n```","ref":"Aura.Model.HexPackage.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackage.t/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackage.html#t:t/0-see-also"},{"type":"module","title":"Aura.Model.HexPackageDownloadStats","doc":"A struct describing download stats associated to a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageDownloadStats.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexPackageDownloadStats","doc":"```elixir\n%Aura.Model.HexPackageDownloadStats{all: 196, week: 49, day: 49}\n```","ref":"Aura.Model.HexPackageDownloadStats.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexPackageDownloadStats","doc":"* `Aura.Packages`\n  * `Aura.Releases`","ref":"Aura.Model.HexPackageDownloadStats.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexPackageDownloadStats","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexPackageDownloadStats.html#module-resources"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.all_time/0","doc":"Number of downloads since the first release","ref":"Aura.Model.HexPackageDownloadStats.html#t:all_time/0"},{"type":"function","title":"Aura.Model.HexPackageDownloadStats.build/1","doc":"Builds a `HexPackageDownloadStats` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageDownloadStats.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexPackageDownloadStats.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexPackageDownloadStats.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageDownloadStats.html#build/1-params"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.t/0","doc":"Type describing the number of downloads for a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageDownloadStats.t/0","doc":"* **all** :: `t:all_time/0`\n  * **week** :: `t:this_week/0`\n  * **day** :: `t:today/0`","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageDownloadStats.t/0","doc":"```elixir\n%Aura.Model.HexPackageDownloadStats{all: 196, week: 49, day: 49}\n```","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageDownloadStats.t/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.this_week/0","doc":"Number of downloads this week","ref":"Aura.Model.HexPackageDownloadStats.html#t:this_week/0"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.today/0","doc":"Number of downloads today","ref":"Aura.Model.HexPackageDownloadStats.html#t:today/0"},{"type":"module","title":"Aura.Model.HexPackageMeta","doc":"A struct describing additional metadata about a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexPackageMeta","doc":"```elixir\n%Aura.Model.HexPackageMeta{\n   maintainers: [],\n   links: %{\"GitHub\" => \"https://github.com/michalmuskala/jason\"},\n   licenses: [\"Apache-2.0\"],\n   description: \"A blazing fast JSON parser and generator in pure Elixir.\"\n }\n```","ref":"Aura.Model.HexPackageMeta.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexPackageMeta","doc":"* `Aura.Packages`\n  * `Aura.Releases`","ref":"Aura.Model.HexPackageMeta.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexPackageMeta","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#module-resources"},{"type":"function","title":"Aura.Model.HexPackageMeta.build/1","doc":"Builds a `HexPackageMeta` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexPackageMeta.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexPackageMeta.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#build/1-params"},{"type":"type","title":"Aura.Model.HexPackageMeta.meta_url/0","doc":"Additional external URL relating to the package\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#t:meta_url/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageMeta.meta_url/0","doc":"```elixir\n\"https://github.com/michalmuskala/jason\"\n```","ref":"Aura.Model.HexPackageMeta.html#t:meta_url/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageMeta.meta_url/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#t:meta_url/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageMeta.package_description/0","doc":"Short, human-readable description of the package\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#t:package_description/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageMeta.package_description/0","doc":"```elixir\n\"A blazing fast JSON parser and generator in pure Elixir.\"\n```","ref":"Aura.Model.HexPackageMeta.html#t:package_description/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageMeta.package_description/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#t:package_description/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageMeta.software_license/0","doc":"The software license associated to the package\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#t:software_license/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageMeta.software_license/0","doc":"```elixir\n\"Apache-2.0\"\n```","ref":"Aura.Model.HexPackageMeta.html#t:software_license/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageMeta.software_license/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#t:software_license/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageMeta.t/0","doc":"Type describing additional metadata about a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageMeta.t/0","doc":"* **maintainers** :: [`t:Aura.Common.username/0`]\n  * **links** ::  [`t:meta_url/0`]\n  * **licenses** :: [`t:software_license/0`]\n  * **description** :: `t:package_description/0`","ref":"Aura.Model.HexPackageMeta.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageMeta.t/0","doc":"```elixir\n%Aura.Model.HexPackageMeta{\n   maintainers: [],\n   links: %{\"GitHub\" => \"https://github.com/michalmuskala/jason\"},\n   licenses: [\"Apache-2.0\"],\n   description: \"A blazing fast JSON parser and generator in pure Elixir.\"\n }\n```","ref":"Aura.Model.HexPackageMeta.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageMeta.t/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#t:t/0-see-also"},{"type":"module","title":"Aura.Model.HexPackageOwner","doc":"A struct describing an owner of a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexPackageOwner","doc":"```elixir\n  %Aura.Model.HexPackageOwner{\n    email: \"cam.cook.codes@gmail.com\",\n    full_name: \"Cam Cook\",\n    handles: %{\n      elixir_forum: \"https://elixirforum.com/u/camatcode\",\n      git_hub: \"https://github.com/camatcode\"\n    },\n    inserted_at: ~U[2025-05-01 19:45:03.289458Z],\n    level: :full,\n    updated_at: ~U[2025-06-01 15:40:38.852881Z],\n    url: \"https://hex.pm/api/users/camatcode\",\n    username: \"camatcode\"\n}\n```","ref":"Aura.Model.HexPackageOwner.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexPackageOwner","doc":"* `Aura.Packages`\n  * `Aura.Releases`","ref":"Aura.Model.HexPackageOwner.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexPackageOwner","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#module-resources"},{"type":"function","title":"Aura.Model.HexPackageOwner.build/1","doc":"Builds a `HexPackageOwner` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexPackageOwner.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexPackageOwner.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#build/1-params"},{"type":"type","title":"Aura.Model.HexPackageOwner.full_name/0","doc":"The user's full name\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html#t:full_name/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageOwner.full_name/0","doc":"```elixir\n\"Jane Smith\"\n```","ref":"Aura.Model.HexPackageOwner.html#t:full_name/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageOwner.full_name/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#t:full_name/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageOwner.level/0","doc":"The user's administration level for this package","ref":"Aura.Model.HexPackageOwner.html#t:level/0"},{"type":"type","title":"Aura.Model.HexPackageOwner.social_handles/0","doc":"A map of social media handles owned by this user\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html#t:social_handles/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageOwner.social_handles/0","doc":"```elixir\nhandles: %{\n    git_hub: \"https://github.com/michalmuskala\",\n    twitter: \"https://twitter.com/michalmuskala\",\n    slack: \"https://elixir-slackin.herokuapp.com/\",\n    libera: \"irc://irc.libera.chat/elixir\",\n    elixir_forum: \"https://elixirforum.com/u/michalmuskala\"\n}\n```","ref":"Aura.Model.HexPackageOwner.html#t:social_handles/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageOwner.social_handles/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#t:social_handles/0-see-also"},{"type":"type","title":"Aura.Model.HexPackageOwner.t/0","doc":"Type describing an owner of a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageOwner.t/0","doc":"* **email** :: `t:Aura.Common.email/0`\n  * **full_name** ::  `t:full_name/0`\n  * **handles** :: `t:social_handles/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **level** :: `t:level/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n * **username** :: `t:Aura.Common.username/0`","ref":"Aura.Model.HexPackageOwner.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexPackageOwner.t/0","doc":"```elixir\n  %Aura.Model.HexPackageOwner{\n    email: \"cam.cook.codes@gmail.com\",\n    full_name: \"Cam Cook\",\n    handles: %{\n      elixir_forum: \"https://elixirforum.com/u/camatcode\",\n      git_hub: \"https://github.com/camatcode\"\n    },\n    inserted_at: ~U[2025-05-01 19:45:03.289458Z],\n    level: :full,\n    updated_at: ~U[2025-06-01 15:40:38.852881Z],\n    url: \"https://hex.pm/api/users/camatcode\",\n    username: \"camatcode\"\n}\n```","ref":"Aura.Model.HexPackageOwner.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexPackageOwner.t/0","doc":"* `Aura.Packages`\n  * `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#t:t/0-see-also"},{"type":"module","title":"Aura.Model.HexRelease","doc":"A struct describing a single release of a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexRelease","doc":"```elixir\n%Aura.Model.HexRelease{\n    checksum: \"4eaafe67a4b2d3a3b7f4637106ce81707cfa0977e6b3b44450cde4c4626a3c1a\",\n    configs: %{\n      \"erlang.mk\" => \"dep_aura = hex 0.9.0\",\n      \"mix.exs\" => \"{:aura, \"~> 0.9.0\"}\",\n      \"rebar.config\" => \"{aura, \"0.9.0\"}\"\n    },\n    docs_html_url: \"https://hexdocs.pm/aura/0.9.0/\",\n    has_docs: true,\n    html_url: \"https://hex.pm/packages/aura/0.9.0\",\n    inserted_at: ~U[2025-06-01 15:13:00.595681Z],\n    meta: %{elixir: \"~> 1.18\", app: \"aura\", build_tools: [\"mix\"]},\n    package_url: \"https://hex.pm/api/packages/aura\",\n    publisher: %{\n      url: \"https://hex.pm/api/users/camatcode\",\n      username: \"camatcode\",\n      email: \"cam.cook.codes@gmail.com\"\n    },\n    requirements: [\n      %{optional: false, app: \"cachex\", requirement: \"~> 4.0\"},\n      %{optional: false, app: \"date_time_parser\", requirement: \"~> 1.2.0\"},\n      %{optional: false, app: \"proper_case\", requirement: \"~> 1.3\"},\n      %{optional: false, app: \"req\", requirement: \"~> 0.5.10\"}\n    ],\n    retirement: nil,\n    updated_at: ~U[2025-06-01 15:13:04.347130Z],\n    version: \"0.9.0\",\n    url: \"https://hex.pm/api/packages/aura/releases/0.9.0\",\n    downloads: 15\n}\n```","ref":"Aura.Model.HexRelease.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexRelease","doc":"* `Aura.Releases`","ref":"Aura.Model.HexRelease.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexRelease","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#module-resources"},{"type":"function","title":"Aura.Model.HexRelease.build/1","doc":"Builds a `HexRelease` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexRelease.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexRelease.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#build/1-params"},{"type":"type","title":"Aura.Model.HexRelease.build_tool_declarations/0","doc":"A mapping between a build-tool config and the configuration needed to grab this release\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:build_tool_declarations/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.build_tool_declarations/0","doc":"```elixir\n%{\n   \"erlang.mk\" => \"dep_aura = hex 0.9.0\",\n   \"mix.exs\" => \"{:aura, \"~> 0.9.0\"}\",\n   \"rebar.config\" => \"{aura, \"0.9.0\"}\"\n}\n```","ref":"Aura.Model.HexRelease.html#t:build_tool_declarations/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.build_tool_declarations/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:build_tool_declarations/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.docs?/0","doc":"Whether this release has associated docs","ref":"Aura.Model.HexRelease.html#t:docs?/0"},{"type":"type","title":"Aura.Model.HexRelease.package_reference_url/0","doc":"URI reference to the `Aura.Model.HexPackage` this release belongs to\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:package_reference_url/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.package_reference_url/0","doc":"```elixir\n\"https://hex.pm/api/packages/aura/releases/0.9.0\"\n```","ref":"Aura.Model.HexRelease.html#t:package_reference_url/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.package_reference_url/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:package_reference_url/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.release_checksum/0","doc":"SHA-256 checksum of the associated release **tar.gz**\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:release_checksum/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.release_checksum/0","doc":"```elixir\n\"4eaafe67a4b2d3a3b7f4637106ce81707cfa0977e6b3b44450cde4c4626a3c1a\"\n```","ref":"Aura.Model.HexRelease.html#t:release_checksum/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.release_checksum/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:release_checksum/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.release_downloads/0","doc":"Number of all time downloads of this release","ref":"Aura.Model.HexRelease.html#t:release_downloads/0"},{"type":"type","title":"Aura.Model.HexRelease.release_meta/0","doc":"Additional information relevant to the release\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:release_meta/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.release_meta/0","doc":"```elixir\n%{elixir: \"~> 1.18\", app: \"aura\", build_tools: [\"mix\"]}\n```","ref":"Aura.Model.HexRelease.html#t:release_meta/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.release_meta/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:release_meta/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.release_publisher/0","doc":"Information about the user which published this release\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:release_publisher/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.release_publisher/0","doc":"```elixir\n%{\n   url: \"https://hex.pm/api/users/camatcode\",\n   username: \"camatcode\",\n   email: \"cam.cook.codes@gmail.com\"\n }\n```","ref":"Aura.Model.HexRelease.html#t:release_publisher/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.release_publisher/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:release_publisher/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.release_requirement/0","doc":"A dependency of this release\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:release_requirement/0"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.release_requirement/0","doc":"```elixir\n%{optional: false, app: \"req\", requirement: \"~> 0.5.10\"}\n```","ref":"Aura.Model.HexRelease.html#t:release_requirement/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.release_requirement/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:release_requirement/0-see-also"},{"type":"type","title":"Aura.Model.HexRelease.retired?/0","doc":"Whether this release is considered retired","ref":"Aura.Model.HexRelease.html#t:retired?/0"},{"type":"type","title":"Aura.Model.HexRelease.t/0","doc":"Type describing a `Aura.Model.HexRelease`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexRelease.t/0","doc":"* **checksum** :: `t:release_checksum/0`\n  * **configs** ::  `t:build_tool_declarations/0`\n  * **docs_html_url** :: `t:Aura.Model.Common.docs_html_url/0`\n  * **has_docs** :: `t:docs?/0`\n  * **meta** :: `t:release_meta/0`\n  * **publisher** :: `t:release_publisher/0`\n  * **html_url** :: `t:Aura.Model.Common.html_url/0`\n  * **downloads** :: `t:release_downloads/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **retirement** :: `t:retired?/0`\n  * **package_url** :: `t:package_reference_url/0`\n  * **requirements** :: [`t:release_requirement/0`]\n  * **updated_at** :: [`t:Aura.Model.Common.updated_at/0`]\n  * **url** :: [`t:Aura.Model.Common.url/0`]\n  * **version** :: [`t:Aura.Common.release_version/0`]","ref":"Aura.Model.HexRelease.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexRelease.t/0","doc":"```elixir\n%Aura.Model.HexRelease{\n    checksum: \"4eaafe67a4b2d3a3b7f4637106ce81707cfa0977e6b3b44450cde4c4626a3c1a\",\n    configs: %{\n      \"erlang.mk\" => \"dep_aura = hex 0.9.0\",\n      \"mix.exs\" => \"{:aura, \"~> 0.9.0\"}\",\n      \"rebar.config\" => \"{aura, \"0.9.0\"}\"\n    },\n    docs_html_url: \"https://hexdocs.pm/aura/0.9.0/\",\n    has_docs: true,\n    html_url: \"https://hex.pm/packages/aura/0.9.0\",\n    inserted_at: ~U[2025-06-01 15:13:00.595681Z],\n    meta: %{elixir: \"~> 1.18\", app: \"aura\", build_tools: [\"mix\"]},\n    package_url: \"https://hex.pm/api/packages/aura\",\n    publisher: %{\n      url: \"https://hex.pm/api/users/camatcode\",\n      username: \"camatcode\",\n      email: \"cam.cook.codes@gmail.com\"\n    },\n    requirements: [\n      %{optional: false, app: \"cachex\", requirement: \"~> 4.0\"},\n      %{optional: false, app: \"date_time_parser\", requirement: \"~> 1.2.0\"},\n      %{optional: false, app: \"proper_case\", requirement: \"~> 1.3\"},\n      %{optional: false, app: \"req\", requirement: \"~> 0.5.10\"}\n    ],\n    retirement: nil,\n    updated_at: ~U[2025-06-01 15:13:04.347130Z],\n    version: \"0.9.0\",\n    url: \"https://hex.pm/api/packages/aura/releases/0.9.0\",\n    downloads: 15\n}\n```","ref":"Aura.Model.HexRelease.html#t:t/0-examples"},{"type":"type","title":"👀 See Also - Aura.Model.HexRelease.t/0","doc":"* `Aura.Releases`\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:t/0-see-also"},{"type":"module","title":"Aura.Model.HexRepo","doc":"A struct describing a repository from a Hex-compliant API.\n\nThe main Hex.pm public repo is named `\"hexpm\"`; though private repos do exist.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRepo.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexRepo","doc":"```elixir\n%Aura.Model.HexRepo{\n name: \"hexpm\",\n public: nil,\n active: nil,\n billing_active: nil,\n inserted_at: ~U[2025-05-29 18:15:18.185511Z],\n updated_at: ~U[2025-05-29 18:15:18.185511Z]\n}\n```","ref":"Aura.Model.HexRepo.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexRepo","doc":"* `Aura.Repos`","ref":"Aura.Model.HexRepo.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexRepo","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexRepo.html#module-resources"},{"type":"type","title":"Aura.Model.HexRepo.active?/0","doc":"Whether the repository is active","ref":"Aura.Model.HexRepo.html#t:active?/0"},{"type":"type","title":"Aura.Model.HexRepo.billing_active?/0","doc":"Whether the repository is a billable entity","ref":"Aura.Model.HexRepo.html#t:billing_active?/0"},{"type":"function","title":"Aura.Model.HexRepo.build/1","doc":"Builds a `HexRepo` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRepo.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexRepo.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexRepo.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRepo.html#build/1-params"},{"type":"type","title":"Aura.Model.HexRepo.public?/0","doc":"Whether the repository is public","ref":"Aura.Model.HexRepo.html#t:public?/0"},{"type":"type","title":"Aura.Model.HexRepo.t/0","doc":"Type describing a repository from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRepo.html#t:t/0"},{"type":"type","title":"🏷️ Required Keys - Aura.Model.HexRepo.t/0","doc":"* **name** :: `t:Aura.Common.repo_name/0`","ref":"Aura.Model.HexRepo.html#t:t/0-required-keys"},{"type":"type","title":"🏷️ Optional Keys - Aura.Model.HexRepo.t/0","doc":"* **public** ::  `t:public?/0`\n  * **active** :: `t:active?/0`\n  * **billing_active** :: `t:billing_active?/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`","ref":"Aura.Model.HexRepo.html#t:t/0-optional-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexRepo.t/0","doc":"```elixir\n%Aura.Model.HexRepo{\n name: \"hexpm\",\n public: nil,\n active: nil,\n billing_active: nil,\n inserted_at: ~U[2025-05-29 18:15:18.185511Z],\n updated_at: ~U[2025-05-29 18:15:18.185511Z]\n}\n```\n<!-- tabs-close -->","ref":"Aura.Model.HexRepo.html#t:t/0-examples"},{"type":"module","title":"Aura.Model.HexUser","doc":"A struct defining a User for a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexUser.html"},{"type":"module","title":"💻 Examples - Aura.Model.HexUser","doc":"```elixir\n%Aura.Model.HexUser{\n username: \"alta2001\",\n email: \"morgan.gulgowski@stehr.biz\",\n inserted_at: ~U[2025-06-04 00:53:31.880685Z],\n updated_at: ~U[2025-06-04 00:53:31.880685Z],\n url: \"http://localhost:4000/api/users/alta2001\"\n}\n```","ref":"Aura.Model.HexUser.html#module-examples"},{"type":"module","title":"👀 See Also - Aura.Model.HexUser","doc":"* `Aura.Users`","ref":"Aura.Model.HexUser.html#module-see-also"},{"type":"module","title":"📖 Resources - Aura.Model.HexUser","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n<!-- tabs-close -->","ref":"Aura.Model.HexUser.html#module-resources"},{"type":"function","title":"Aura.Model.HexUser.build/1","doc":"Builds a `HexUser` from a map\n\n<!-- tabs-open -->","ref":"Aura.Model.HexUser.html#build/1"},{"type":"function","title":"🏷️ Params - Aura.Model.HexUser.build/1","doc":"* **m** :: A map to build into a `t:Aura.Model.HexUser.t/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexUser.html#build/1-params"},{"type":"type","title":"Aura.Model.HexUser.t/0","doc":"Type defining a User for a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexUser.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexUser.t/0","doc":"* **username** :: `t:Aura.Common.username/0`\n  * **email** ::  `t:Aura.Common.email/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`","ref":"Aura.Model.HexUser.html#t:t/0-keys"},{"type":"type","title":"💻 Examples - Aura.Model.HexUser.t/0","doc":"```elixir\n%Aura.Model.HexUser{\n username: \"alta2001\",\n email: \"morgan.gulgowski@stehr.biz\",\n inserted_at: ~U[2025-06-04 00:53:31.880685Z],\n updated_at: ~U[2025-06-04 00:53:31.880685Z],\n url: \"http://localhost:4000/api/users/alta2001\"\n}\n```\n<!-- tabs-close -->","ref":"Aura.Model.HexUser.html#t:t/0-examples"},{"type":"module","title":"Aura.Common","doc":"Common capabilities across all Aura services\n\n<!-- tabs-open -->","ref":"Aura.Common.html"},{"type":"module","title":"📖 Resources - Aura.Common","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n\n<!-- tabs-close -->","ref":"Aura.Common.html#module-resources"},{"type":"type","title":"Aura.Common.api_key_name/0","doc":"A human-readable name for this API key\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:api_key_name/0"},{"type":"type","title":"💻 Examples - Aura.Common.api_key_name/0","doc":"```elixir\n\"my_computer\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:api_key_name/0-examples"},{"type":"type","title":"Aura.Common.api_path/0","doc":"The path parameter of the request\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:api_path/0"},{"type":"type","title":"💻 Examples - Aura.Common.api_path/0","doc":"```elixir\n\"/packages\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:api_path/0-examples"},{"type":"function","title":"Aura.Common.determine_path/2","doc":"Determines a `t:api_path/0` by investigating **opts** for a `:repo` key, representing a `Aura.Model.HexRepo`.\n\nIf present, **path** will be modified to scope solely to that repo, otherwise the **path** is unmodified.\n\n<!-- tabs-open -->","ref":"Aura.Common.html#determine_path/2"},{"type":"function","title":"🏷️ Params - Aura.Common.determine_path/2","doc":"* **opts** :: option parameters used to modify requests\n  * **path** :: `t:api_path/0`","ref":"Aura.Common.html#determine_path/2-params"},{"type":"function","title":"⤵️ Returns - Aura.Common.determine_path/2","doc":"**✅ On Success**\n\n  ```elixir\n  {path, opts}\n  ```","ref":"Aura.Common.html#determine_path/2-returns"},{"type":"function","title":"💻 Examples - Aura.Common.determine_path/2","doc":"iex> alias Aura.Common\n    iex> alias Aura.Model.HexPackage\n    iex> opts = [repo_url: \"http://localhost:4000/api\", repo: \"hexpm\", page: 2, sort: :total_downloads]\n    iex> {_path, _opts} = Common.determine_path(opts, \"/packages\")\n    {\"/repos/hexpm/packages\", [repo_url: \"http://localhost:4000/api\", page: 2, sort: :total_downloads]}\n\n<!-- tabs-close -->","ref":"Aura.Common.html#determine_path/2-examples"},{"type":"type","title":"Aura.Common.email/0","doc":"An email address associated with this record\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:email/0"},{"type":"type","title":"💻 Examples - Aura.Common.email/0","doc":"```elixir\n\"hello@example.com\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:email/0-examples"},{"type":"type","title":"Aura.Common.package_name/0","doc":"Name of the package\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:package_name/0"},{"type":"type","title":"💻 Examples - Aura.Common.package_name/0","doc":"```elixir\n\"plug\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:package_name/0-examples"},{"type":"type","title":"Aura.Common.release_version/0","doc":"The version of a release\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:release_version/0"},{"type":"type","title":"💻 Examples - Aura.Common.release_version/0","doc":"```elixir\n\"1.2.3\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:release_version/0-examples"},{"type":"type","title":"Aura.Common.repo_name/0","doc":"The name of the repository\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:repo_name/0"},{"type":"type","title":"💻 Examples - Aura.Common.repo_name/0","doc":"```elixir\n\"hexpm\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:repo_name/0-examples"},{"type":"function","title":"Aura.Common.stream_paginate/3","doc":"Implements Hex API's pagination mechanism by returning a `Stream.resource/3`\n\n<!-- tabs-open -->","ref":"Aura.Common.html#stream_paginate/3"},{"type":"function","title":"🏷️ Params - Aura.Common.stream_paginate/3","doc":"* **path** :: `t:api_path/0`\n  * **build_func** :: a function that takes in a map and returns a struct representing what's being paginated\n  * **opts** :: option parameters used to modify requests","ref":"Aura.Common.html#stream_paginate/3-params"},{"type":"function","title":"⤵️ Returns - Aura.Common.stream_paginate/3","doc":"**✅ On Success**\n\n  ```elixir\n  a `Stream.resource/3`\n  ```","ref":"Aura.Common.html#stream_paginate/3-returns"},{"type":"function","title":"💻 Examples - Aura.Common.stream_paginate/3","doc":"iex> alias Aura.Common\n    iex> alias Aura.Model.HexPackage\n    iex> opts = [repo_url: \"http://localhost:4000/api\", repo: \"hexpm\", page: 2, sort: :total_downloads]\n    iex> {path, opts} = Common.determine_path(opts, \"/packages\")\n    iex> packages = Common.stream_paginate(path, &HexPackage.build/1, opts)\n    iex> Enum.empty?(packages)\n    false\n\n<!-- tabs-close -->","ref":"Aura.Common.html#stream_paginate/3-examples"},{"type":"type","title":"Aura.Common.username/0","doc":"A unique, human-readable ID for a user\n\n<!-- tabs-open -->","ref":"Aura.Common.html#t:username/0"},{"type":"type","title":"💻 Examples - Aura.Common.username/0","doc":"```elixir\n\"camatcode\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Common.html#t:username/0-examples"},{"type":"module","title":"Aura.Model.Common","doc":"Common capabilities across all Aura models\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html"},{"type":"module","title":"📖 Resources - Aura.Model.Common","doc":"* 💬 Contact the maintainer (he's happy to help!)\n    * 👾 [Github: camatcode](https://github.com/camatcode/){:target=\"_blank\"}\n    * 🐘 [Fediverse: @scrum_log@maston.social](https://mastodon.social/@scrum_log){:target=\"_blank\"}\n    \n\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#module-resources"},{"type":"type","title":"Aura.Model.Common.docs_html_url/0","doc":"URL with human-readable package/release documentation\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#t:docs_html_url/0"},{"type":"type","title":"💻 Examples - Aura.Model.Common.docs_html_url/0","doc":"```elixir\n\"https://hexdocs.pm/aura/0.9.0/\"\n```\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#t:docs_html_url/0-examples"},{"type":"type","title":"Aura.Model.Common.html_url/0","doc":"URL with human-readable package/release information\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#t:html_url/0"},{"type":"type","title":"💻 Examples - Aura.Model.Common.html_url/0","doc":"```elixir\n\"https://hex.pm/packages/aura/0.9.0\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#t:html_url/0-examples"},{"type":"type","title":"Aura.Model.Common.inserted_at/0","doc":"`DateTime` for when the record was inserted into the database\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#t:inserted_at/0"},{"type":"type","title":"💻 Examples - Aura.Model.Common.inserted_at/0","doc":"```elixir\n~U[2025-05-29 18:15:18.244790Z]\n```\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#t:inserted_at/0-examples"},{"type":"function","title":"Aura.Model.Common.prepare/1","doc":"Cleans and validates a map into something Aura models can easily build\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#prepare/1"},{"type":"function","title":"🏷️ Params - Aura.Model.Common.prepare/1","doc":"* **m** :: A map to clean and validate","ref":"Aura.Model.Common.html#prepare/1-params"},{"type":"function","title":"⤵️ Returns - Aura.Model.Common.prepare/1","doc":"**✅ On Success**\n\n  ```elixir\n  [{k,v}, {k,v}...]\n  ```\n  **❌ On Failure**\n\n   ```elixir\n  raises Error\n  ```\n\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#prepare/1-returns"},{"type":"type","title":"Aura.Model.Common.updated_at/0","doc":"`DateTime` for when the record was last modified in the database\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#t:updated_at/0"},{"type":"type","title":"💻 Examples - Aura.Model.Common.updated_at/0","doc":"```elixir\n~U[2025-06-01 15:13:04.347130Z]\n```\n\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#t:updated_at/0-examples"},{"type":"type","title":"Aura.Model.Common.url/0","doc":"The URL required to perform operations on this record\n\n<!-- tabs-open -->","ref":"Aura.Model.Common.html#t:url/0"},{"type":"type","title":"💻 Examples - Aura.Model.Common.url/0","doc":"```elixir\n\"https://hex.pm/api/packages/aura/releases/0.9.0\"\n```\n\n<!-- tabs-close -->","ref":"Aura.Model.Common.html#t:url/0-examples"},{"type":"module","title":"Aura.PackageTarUtil","doc":"A utility to read a release tar from a Hex-compliant API","ref":"Aura.PackageTarUtil.html"},{"type":"function","title":"Aura.PackageTarUtil.read_release_tar/1","doc":"Reads a release tar from a given file path","ref":"Aura.PackageTarUtil.html#read_release_tar/1"},{"type":"type","title":"Aura.PackageTarUtil.tar_contents/0","doc":"A mapping between entries of a tar and their bytes","ref":"Aura.PackageTarUtil.html#t:tar_contents/0"},{"type":"module","title":"Aura.Requester","doc":"Utility for making HTTP requests to a Hex-compliant API","ref":"Aura.Requester.html"},{"type":"function","title":"Aura.Requester.delete/2","doc":"Makes a HTTP DELETE request","ref":"Aura.Requester.html#delete/2"},{"type":"function","title":"Aura.Requester.find_repo_url/1","doc":"Inspects given options, or the `Application.get_env/3` for\n  a Hex-compliant API URL","ref":"Aura.Requester.html#find_repo_url/1"},{"type":"function","title":"Aura.Requester.get/2","doc":"Makes a HTTP GET request","ref":"Aura.Requester.html#get/2"},{"type":"function","title":"Aura.Requester.hex_pm_url/0","doc":"Returns https://hex.pm/api","ref":"Aura.Requester.html#hex_pm_url/0"},{"type":"type","title":"Aura.Requester.http_method/0","doc":"The HTTP method to use for a given request","ref":"Aura.Requester.html#t:http_method/0"},{"type":"function","title":"Aura.Requester.post/2","doc":"Makes a HTTP POST request","ref":"Aura.Requester.html#post/2"},{"type":"function","title":"Aura.Requester.put/2","doc":"Makes a HTTP PUT request","ref":"Aura.Requester.html#put/2"},{"type":"function","title":"Aura.Requester.request/3","doc":"Makes a HTTP request","ref":"Aura.Requester.html#request/3"},{"type":"extras","title":"README","doc":"An ergonomic library for investigating the Hex.pm API","ref":"readme.html"},{"type":"extras","title":"Table of Contents - README","doc":"- [Installation](#installation)\n\n\n🚧 This is my daily, acive project. Documentation on the way - Cam","ref":"readme.html#table-of-contents"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}